#include "verem.h"
#include <iostream>

using namespace std;

Verem::Verem()
{
    _verem_meret = 100; //Ha nem adunk meg mretet, 100 hossz lesz a verem
    _vec.resize(_verem_meret);
    _p = -1; //Nulls index miatt p=-1, ha res a verem!
}

Verem::Verem(int m)
{
    _verem_meret = m;
    _vec.resize(_verem_meret);
    _p = -1;
}

void Verem::verembe(int e)
{
    if(_p == _verem_meret-1) //Ha kicsi a lefoglalt vektor, megnveljk dupljra
    {
        _verem_meret *= 2;
        _vec.resize(_verem_meret);
    }
    _vec[++_p] = e;
}

int Verem::verembol()
{
    int e = _vec[_p--];
    return e;
}

int Verem::teto() const
{
    return _vec[_p];
}
